#include "counter.h"
#include <climits>

Counter::Counter(QObject *parent)
    : QObject{parent}
    , m_value{0}
{
  // Nothing
}

quint32 Counter::value() const
{
    return m_value;
}

void Counter::setValue(const quint32 value)
{
    m_value = value;
    Q_EMIT valueChanged();
}

void Counter::increment() {
    if (m_value == UINT_MAX) return;

    m_value += 1;
    Q_EMIT valueChanged();
}

void Counter::decrement() {
    if (m_value == 0) return;

    m_value -= 1;
    Q_EMIT valueChanged();
}
