#pragma once

#include <qobject.h>
#include <qqmlintegration.h>
#include <qtmetamacros.h>

class Counter: public QObject {
    Q_OBJECT
    Q_PROPERTY(uint value READ value WRITE setValue NOTIFY valueChanged)
    QML_ELEMENT

public:
    explicit Counter(QObject *parent = nullptr);

    [[nodiscard]] quint32 value() const;
    void setValue(const quint32 value);

    Q_INVOKABLE void increment();
    Q_INVOKABLE void decrement();

Q_SIGNALS:
    void valueChanged();

private:
    quint32 m_value;
};
