import QtQuick
import QtQuick.Controls as Controls
import QtQuick.Layouts
import org.kde.kirigami as Kirigami
import fr.mrdev023.tutorial_kirigami2

Kirigami.ApplicationWindow {
    id: root

    title: i18nc("@title:window", "My Application")

    globalDrawer: Kirigami.GlobalDrawer {
        isMenu: true
        actions: [
            Kirigami.Action {
                text: i18n("Quit")
                icon.name: "gtk-quit"
                shortcut: StandardKey.Quit
                onTriggered: Qt.quit()
            }
        ]
    }

    pageStack.initialPage: Kirigami.ScrollablePage {
        title: i18nc("@title", "Main Page")

        Kirigami.FlexColumn {
            anchors.fill: parent

            Controls.Label {
                text: counter.value
            }

            Controls.Button {
                text: i18n("-")
                onClicked: counter.decrement()
            }

            Controls.Button {
                text: i18n("+")
                onClicked: counter.increment()
            }
        }
    }

    Counter {
        id: counter
    }
}
